resource "authentik_provider_proxy" "longhorn" {
  name          = "Longhorn"
  internal_host = "http://longhorn-frontend.longhorn-system:80"
  external_host = "https://storage.lab.cowley.tech"

  internal_host_ssl_validation = false

  authentication_flow = data.authentik_flow.default-authentication-flow.id
  authorization_flow  = data.authentik_flow.default-provider-authorization-implicit-consent.id
  invalidation_flow   = data.authentik_flow.default-provider-invalidation-flow.id

  #access_token_validity = "hours=24"
}

resource "authentik_application" "longhorn" {
  name = "Longhorn"
  slug = "longhorn"

  protocol_provider = authentik_provider_proxy.longhorn.id
}


